<?php

function pp_views_handlers() {
  return array(
    'info' => array(
      'path' => drupal_get_path('module', 'pp') . '/views',
    ),
    'handlers' => array(
      // field handlers
      'pp_views_handler_field_story_edition_ref_multiple' => array(
        'parent' => 'views_handler_field_node',
      ),
    ),
  );
}


function pp_views_data() {
  $data['node_references']['table']['group'] = t('ProsePoint');

  $data['node_references']['table']['join'] = array(
    'node' => array(
      'left_field' => 'nid',
      'field' => 'nid',
     ),
  );

  $data['node_references']['other_nid'] = array(
    'title' => t('Story edition reference'),
    'help' => t('ProsePoint internal use only.'),
    'relationship' => array(
      'handler' => 'views_handler_relationship',
      'base' => 'node',
      'field' => 'other_nid',
      'label' => t('other nid'),
    ),
    'field' => array(
      'handler' => 'pp_views_handler_field_story_edition_ref_multiple',
      'click sortable' => TRUE,
    ),
  );

  return $data;
}


